Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-tox
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
# redefine altlinux specific with and without
%define with()         %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()      %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define fedora 19
# Tests requiring Internet connections are disabled by default
# pass --with internet to run them (e.g. when doing a local rebuild
# for sanity checks before committing)
%bcond_with internet


%global pypiname tox
Name:           python-module-tox
Version:        1.4.2
Release:        alt1_8
Summary:        Virtualenv-based automation of test activities

# file toxbootstrap.py is licensed under MIT License
License:        GPLv2+ and MIT
URL:            http://codespeak.net/tox
Source0:        http://pypi.python.org/packages/source/t/%{pypiname}/%{pypiname}-%{version}.zip
#md5=dc52acf22eb57eaa33e704f8a54e7b34

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
# required for check
%if 0%{?fedora}
BuildRequires: python-module-py python-module-py-testing
BuildRequires:  python-module-pytest
BuildRequires:  python-module-virtualenv
%endif
Source44: import.info

%description
Tox as is a generic virtualenv management and test command line tool you 
can use for:

 - checking your package installs correctly with different Python versions 
   and interpreters
 - running your tests in each of the environments, configuring your test tool 
   of choice
 - acting as a frontend to Continuous Integration servers, greatly reducing 
   boilerplate and merging CI and shell-based testing.

%prep 
%setup -q -n %{pypiname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# if internet connection available, run tests
%if %{with internet}
%check
# python 2.7: fedora 17, fedora 18
# python 3.2: fedora 17
# python 3.3: fedora 18

# el6: buildrequirements missing
#%if 0%{?rhel}==6
#TOXENV=py26 %{__python} setup.py test
#%endif

%if 0%{?fedora}==17 || 0%{?fedora}==18
TOXENV=py27 %{__python} setup.py test
%endif

%endif
 
%files
%doc LICENSE README.txt ISSUES.txt doc
%{_bindir}/%{pypiname}
%{python_sitelibdir_noarch}/%{pypiname}
%{python_sitelibdir_noarch}/%{pypiname}-%{version}-py2.?.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_8
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_7
- initial fc import

